Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-basis.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,28 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set basis])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set basis with Redo])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-maxiterations.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,29 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set maxiter])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set maxiter with Redo])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
+++ tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters-theory.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -0,0 +1,29 @@
+### MPQC basis
+
+AT_SETUP([Parser - MPQC - set theory])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS"], 0, [stdout], [ignore])
+AT_CHECK([fgrep "<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS" --undo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - set theory with Redo])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([fgrep "<CLKS>" test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at
===================================================================
--- tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at	(revision caeeb80840441e26c65bc21cf81c49717188c5b4)
+++ tests/regression/Parser/Mpqc-SetParameters/testsuite-parser-mpqc-set-parameters.at	(revision e69c87634c601039ae61a1acb0b03fc6b7bddd17)
@@ -1,30 +1,28 @@
 ### MPQC basis
-
-AT_SETUP([Parser - MPQC - set basis])
-AT_KEYWORDS([options])
-AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "basis = 4-31G"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "name = \"4-31G\"" test.in], 0, [ignore], [ignore])
-AT_CLEANUP
-
-AT_SETUP([Parser - MPQC - set maxiter])
-AT_KEYWORDS([options])
-AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "maxiter = 499"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "maxiter = 499" test.in], 0, [ignore], [ignore])
-AT_CLEANUP
-
-AT_SETUP([Parser - MPQC - set theory])
-AT_KEYWORDS([options])
-AT_CHECK([pwd],[ignore],[ignore])
-AT_CHECK([../../molecuilder -i test.conf -o mpqc -l ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/test.xyz -v 1 --set-mpqc-parameters "theory=CLKS"], 0, [stdout], [ignore])
-AT_CHECK([fgrep "<CLKS>" test.in], 0, [ignore], [ignore])
-AT_CLEANUP
 
 AT_SETUP([Parser - MPQC - check in file])
 AT_KEYWORDS([options])
-AT_CHECK([pwd],[ignore],[ignore])
+
 AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;"], 0, [stdout], [ignore])
 AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
+
 AT_CLEANUP
 
+
+AT_SETUP([Parser - MPQC - check in file with Undo])
+AT_XFAIL_IF([/bin/true])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - MPQC - check in file with Redo])
+AT_KEYWORDS([options])
+
+AT_CHECK([../../molecuilder -i ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/pre/testCLHF.in -v 1 --set-mpqc-parameters "basis = 4-31G;maxiter=499;theory=CLKS;" --undo --redo], 0, [stdout], [ignore])
+AT_CHECK([file=testCLHF.in; diff -I '%.*' $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Parser/Mpqc-SetParameters/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
